> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get proximity events for tag

> Get recent events for specified proximity tag



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/proximity/getProximityEventsForTag
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/proximity/getProximityEventsForTag:
    post:
      tags:
        - Proximity Webservice
      summary: Get proximity events for tag
      description: Get recent events for specified proximity tag
      operationId: getProximityEventsForTags
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Proximity_GetProximityEventsForTagWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Proximity_GetProximityEventsForTagWSResponse
          description: OK
components:
  schemas:
    Proximity_GetProximityEventsForTagWSRequest:
      type: object
      description: >-
        Request object for getting recent events for a specified proximity tag
        with filtering options.
      properties:
        createdAfterMs:
          type: integer
          format: int64
          description: Filter events created after this timestamp in milliseconds
          example: 1640995200000
          nullable: true
        createdBeforeMs:
          type: integer
          format: int64
          description: Filter events created before this timestamp in milliseconds
          example: 1640995200000
          nullable: true
        limit:
          type: integer
          format: int32
          description: Maximum number of events to return
          example: 100
          nullable: true
        statusFilter:
          $ref: '#/components/schemas/ProximityStatusEnum'
        tagUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    Proximity_GetProximityEventsForTagWSResponse:
      type: object
      description: Response object containing recent events for a specified proximity tag.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        proximityEvents:
          type: array
          description: List of proximity events for the specified tag
          items:
            $ref: '#/components/schemas/ProximityEventType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    ProximityStatusEnum:
      type: string
      description: Filter events by proximity status
      enum:
        - ACTIVE
        - STATIONARY
        - OFFLINE
    ProximityEventType:
      type: object
      description: List of proximity events for the specified tag
      properties:
        baseStationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        batteryPercentage:
          type: integer
          format: int32
          nullable: true
        bleDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        bleRssi:
          type: integer
          format: int32
          nullable: true
        closeBaseStations:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        endTimeMs:
          type: integer
          format: int64
          nullable: true
        gpsLocation:
          $ref: '#/components/schemas/GeodeticCoordinates'
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startTimeMs:
          type: integer
          format: int64
          nullable: true
        status:
          $ref: '#/components/schemas/ProximityStatusEnum'
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
    GeodeticCoordinates:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/GpsError'
        floor:
          type: integer
          format: int32
          nullable: true
        lat:
          type: number
          format: double
          nullable: true
        lon:
          type: number
          format: double
          nullable: true
    GpsError:
      type: object
      properties:
        majorAxis:
          type: number
          format: double
          nullable: true
        minorAxis:
          type: number
          format: double
          nullable: true
        rotation:
          type: number
          format: double
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````